Page MenuHomePhabricator

When a ChangesetList sleeps after a Quicksand navigation, also hide any visible banner
ClosedPublic

Authored by epriestley on Feb 14 2018, 11:22 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Jun 15, 8:00 PM
Unknown Object (File)
Tue, Jun 7, 2:42 PM
Unknown Object (File)
Tue, Jun 7, 2:08 PM
Unknown Object (File)
Jun 1 2022, 11:26 AM
Unknown Object (File)
Jun 1 2022, 1:27 AM
Unknown Object (File)
May 27 2022, 5:59 AM
Subscribers
None

Details

Summary

Fixes T13080. The banner wasn't properly included in the sleep/wake logic.

Test Plan

Mentioned Dxxx on a task. Enabled persistent chat to activate Quicksand. Reloaded page. Clicked Dxxx. Scrolled down until a changeset header appeared. Pressed back button.

  • Before patch: ended up on task, with header still around.
  • After patch: ended up on task, with header properly vanquished.

Pressed "forward", ended up back on the revision with the header again.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Feb 14 2018, 11:23 PM
epriestley requested review of this revision.
This revision was automatically updated to reflect the committed changes.